# Generated by Django 5.0.6 on 2024-05-29 10:04

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('residents_data', '0022_alter_flat_notes_alter_flat_owner_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='ElectricityMeter',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.IntegerField(verbose_name='№ лічильника')),
                ('automat10', models.BooleanField(default=False, verbose_name='Автомат 10')),
                ('removing_date_for_automat10', models.DateField(null=True, verbose_name='Дата зняття')),
                ('set_up_date_for_automat10', models.DateField(null=True, verbose_name='Дата встановлення')),
                ('automat50', models.BooleanField(default=False, verbose_name='Автомат 50')),
                ('electricity_meter', models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='flat', to='residents_data.flat')),
            ],
            options={
                'verbose_name': 'Ел/лічильник',
                'verbose_name_plural': 'Ел/лічильники',
            },
        ),
    ]
